@ECHO OFF


ECHO .
ECHO .
ECHO This NIGHTLY Backup script was prepared by Conal Ryan for his clients ONLY!
ECHO .
ECHO Please call (305-367-3200) or email (conalryan@yahoo.com) for more info.
ECHO .
ECHO . 
ECHO . 
ECHO Use this program to backup your vital data files to your USB Drive
ECHO . 
ECHO To quit, Press Cntl+C now
ECHO .
ECHO .
ECHO .
ECHO Rev.2021.5.11
ECHO .
echo.
echo  ~ Quick Pause ~
echo .
ping -n 3 127.0.0.1 > nul

REM * * * * * * * * * * * * * * * * * * * * * *
REM * * * *   SET VARIABLES   * * * * *
REM * * * * * * * * * * * * * * * * * * * * * *

SET PCname=%ComputerName%
REM or SET PCname=MyPC
SET PCnumber=1
SET SSUBBAD=ALERT !! FAILURE on %PCNAME% NIGHTLY Backup!
SET SSUBGOOD=%PCnumber% SUCCESSFUL NIGHTLY Backup of %PCNAME%
SET EXCLUDE_DIRS=/XD *recy* "System Volume Information" 
SET EXCLUDE_FILES=/XF pagefil* hiberf* "BCD"
set nicedate=%date:~0,3%_%DATE:~4,2%_%DATE:~7,2%_%DATE:~10,4%
set hour=%time:~0,2%
	if "%hour:~0,1%" == " " set hour=0%hour:~1,1%
set min=%time:~3,2%
	if "%min:~0,1%" == " " set min=0%min:~1,1%
set nicetime=%hour%%min%

SET Logfile="C:\BackupLog.txt"

REM * * * * * * * * * * * * * * * * * * * * * * * *
REM * * *  FIGURE OUT WHICH DRIVE IS ATTACHED * * *
REM * * * * * * * * * * * * * * * * * * * * * * * *


SET BDL=NONE
IF EXIST U:\DriveID.txt goto uDrive
ECHO NOT ON U
IF EXIST E:\DriveID.txt goto eDrive
ECHO NOT ON E
IF EXIST D:\DriveID.txt goto dDrive
ECHO NOT ON D
IF EXIST X:\DriveID.txt goto xDrive
ECHO NOT ON X
IF EXIST \\server\Backup-W\DriveW.txt goto wDrive
ECHO NOT ON W

ping -n 8 127.0.0.1 > nul
goto NoDrive


REM ************* START U DRIVE ******************* 
:uDRIVE
echo . 
echo BACKUP DRIVE found (U-DRIVE)
echo . 
SET BDL=U:
SET Dname=Drive U
GOTO STARTBU

REM ************* START E DRIVE ******************* 
:eDRIVE
echo . 
echo BACKUP DRIVE found (E-DRIVE)
echo . 
SET BDL=E:
SET Dname=Drive E
GOTO STARTBU

REM ************* START W DRIVE ******************* 
:wDRIVE
echo . 
echo BACKUP DRIVE found (W-DRIVE)
echo . 
SET BDL=\\server\Backup-W
SET Dname=Drive W
GOTO STARTBU

REM ************* START X DRIVE ******************* 
:xDRIVE
echo . 
echo BACKUP DRIVE found (X-DRIVE)
echo . 
SET BDL=X:
SET Dname=Drive X
GOTO STARTBU

REM ************* START D DRIVE ******************* 
:dDRIVE
echo . 
echo BACKUP DRIVE found (D-DRIVE)
echo . 
SET BDL=D:
SET Dname=Drive D
GOTO STARTBU

REM * * * * * * * * * FAIL !!!  * * * * * * * * * * *
:NoDrive
echo .
echo NOT FINDING USB BACKUP DRIVE 
echo .
echo .
ECHO .
ECHO .

REM * * * * * * * * * * * * * * * * * * * * * *
REM * * * *  Failure section  * * * * * * *
REM * * * * * * * * * * * * * * * * * * * * * *

echo posting bad job
echo.
ECHO.>>%LOGfile%
ECHO %SSUBbad% on %nicedate% at %nicetime%>>%LOGfile%
ECHO .
ECHO .
ECHO SORRY IT DIDNT WORK OUT . . . BYE
ECHO .
ping -n 6 127.0.0.1 > nul
GOTO EOF

REM * * * * * * * * * * * * * * * * * * * * * *
REM * * * * END - WHICH DRIVE IS ATTACHED * * *
REM * * * * * * * * * * * * * * * * * * * * * *
  

:STARTBU
REM * * * * * * * * * * * * * * * * * * * * * *
REM * * * *  START BACKUP  * * * * *
REM * * * * * * * * * * * * * * * * * * * * * *

SET BUdest=%BDL%\Backups\%PCname%
echo .
echo .
echo Backup destination will be %BUdest%
echo .
echo .
ping -n 3 127.0.0.1 > nul
echo .
echo .
echo .
echo .
echo . . . . . . . . . . . . Starting CONTACTS
ROBOcopy "%USERPROFILE%\CONTACTS\." "%BUdest%\%USERNAME%\Contacts\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5
echo . . . . . . . . . . . . CONTACTS Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting FAVS
ROBOcopy "%USERPROFILE%\FAVORITES\." "%BUdest%\%USERNAME%\FAVs\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . FAVs Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting DESKTOP
ROBOcopy "%USERPROFILE%\DESKTOP\." "%BUdest%\%USERNAME%\Desktop\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5
echo . . . . . . . . . . . . DESKTOP Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul  
echo . . . . . . . . . . . . Starting DOCS
ROBOcopy "%USERPROFILE%\DOCUMENTS\." "%BUdest%\%USERNAME%\MyDocs\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . DOCUMENTS Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting PICS
ROBOcopy "%USERPROFILE%\PICTURES\." "%BUdest%\%USERNAME%\Photos\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . PICTURES Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting DOWNLOADS
ROBOcopy "%USERPROFILE%\DOWNLOADS\." "%BUdest%\%USERNAME%\Downloads\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . DOWNLOADS Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting Q-LAUNCH
ROBOcopy "%AppData%\Microsoft\Internet Explorer\Quick Launch\." "%BUdest%\%USERNAME%\Q-LAUNCH\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . QuickLaunch Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting OUTLOOK
ROBOcopy "%USERPROFILE%\AppData\Local\Microsoft\Outlook\." "%BUdest%\%USERNAME%\OUTLOOK\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
ROBOcopy "%USERPROFILE%\AppData\Roaming\Microsoft\Outlook\." "%BUdest%\%USERNAME%\OUTLOOK\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . Outlook Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting PUBLIC DESKTOP
ROBOcopy "C:\Users\Public\Desktop\." "%BUdest%\Public\Desktop\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . Shared Desktop Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul  
echo . . . . . . . . . . . . Starting PUBLIC DOCS
ROBOcopy "C:\Users\Public\Documents\." "%BUdest%\Public\Docs\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . Shared Docs Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting C-Root
xcopy C:\*.bat "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
xcopy C:\*.txt "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
xcopy C:\*.doc "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
xcopy C:\*.xls "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
xcopy C:\*.ZIP "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
xcopy C:\*.NET "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
xcopy C:\*.SAV "%BUdest%\ROOT\." /D /F /G /H /I /R /K /Y 
echo . . . . . . . . . . . . C-Root Backup Done
echo .
echo .
echo .

goto SkipMisc

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting C-Scan(s)
ROBOcopy "C:\scans\." "%BUdest%\Scans\." /NJH /NJS /XJ /ZB /E /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . C-Scans Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting CONAL
ROBOcopy C:\CONAL\. "%BUdest%\ROOT\CONAL\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo . . . . . . . . . . . . CONAL Backup Done
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting VIDEOS
ROBOcopy "%USERPROFILE%\VIDEOS\." "%BUdest%\%USERNAME%\videos\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
echo . . . . . . . . . . . . VIDEOS DONE
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting MUSIC
ROBOcopy "%USERPROFILE%\MUSIC\." "%BUdest%\%USERNAME%\Music\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
echo . . . . . . . . . . . . MUSIC DONE
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo  . . . . . . . . . . . . SKIPPING QBooks
rem ROBOcopy C:\QuickBooks\. "%BUdest%\QBOOKS\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
rem echo . . . . . . . . . . . . QBooks DONE
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting SHARED
ROBOcopy C:\SHARED\. "%BUdest%\SHARED\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
echo . . . . . . . . . . . . SHARED DONE
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting DELL
ROBOcopy C:\DELL\. "%BUdest%\DELL\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
echo . . . . . . . . . . . . DELL DONE
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting DRIVERS
ROBOcopy C:\DRIVERS\. "%BUdest%\Drivers\." /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
echo . . . . . . . . . . . . DRIVERS DONE
echo .
echo .
echo .

ping -n 3 127.0.0.1 > nul
echo . . . . . . . . . . . . Starting CONALS C-UTILS
ROBOcopy C:\UTILS\. %BDL%:\C-UTILS\. /NJH /NJS /XJ /E /ZB /NDL /256 /XA:SH %EXCLUDE_DIRS% %EXCLUDE_FILES% /R:2 /W:5 
echo .
echo . . . . . . . . . . . . CONALS C-UTILS DONE
echo .
echo .
echo .

:SkipMisc

REM * * * * * * * * * * * * * * * * * * * * * *
ECHO * * * * * * BACKUP DONE  * * * * * * * * *
REM * * * * * * * * * * * * * * * * * * * * * *
echo .
ECHO . 
ping -n 5 127.0.0.1 > nul
echo .
ECHO . 
ECHO . 
ECHO . 

REM * * * * * * * * * * * * * * * * * * * * * *
REM * * * * Set Finish Time * * * * * * *
REM * * * * * * * * * * * * * * * * * * * * * *
set fhour=%time:~0,2%
	if "%hour:~0,1%" == " " set hour=0%hour:~1,1%
set fmin=%time:~3,2%
	if "%min:~0,1%" == " " set min=0%min:~1,1%
set FinishTime=%fhour%%fmin%

REM * * * * * * * * * * * * * * * * * * * * * *
REM * * * * Success section * * * * * * *
REM * * * * * * * * * * * * * * * * * * * * * *

echo posting good job
echo.
ECHO.>>%LOGfile%
ECHO %SSUBgood% on %nicedate% at %nicetime% until %FinishTime% to %Dname%>>%LOGfile%
ECHO . 
ECHO .
ECHO .
echo  ~ Pausing ~
echo .
ping -n 8 127.0.0.1 > nul
:OEF
exit
REM ************* END *******************
REM ************* END *******************